> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fuseai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Write custom column values (keyed by contact id)

> Requires one of the following token scopes: lists.



## OpenAPI

````yaml /openapi.json patch /business/lists/{listId}/columns/{columnId}/values
openapi: 3.1.0
info:
  title: Fuse Business API
  version: 1.0.0
  description: >-
    External API for lists, campaigns, prospect search and contacts.
    Authenticate with your API token as HTTP Basic. All paths are under /api/v1.
servers:
  - url: https://api.tryfuse.ai/api/v1
    description: Production
security:
  - basicAuth: []
tags:
  - name: Lists
  - name: Custom columns
  - name: Exports
  - name: Campaigns
  - name: Knowledge hubs
  - name: Account
  - name: Prospect search
  - name: Saved searches
  - name: Contacts
paths:
  /business/lists/{listId}/columns/{columnId}/values:
    patch:
      tags:
        - Custom columns
      summary: Write custom column values (keyed by contact id)
      description: 'Requires one of the following token scopes: lists.'
      parameters:
        - name: listId
          in: path
          required: true
          schema:
            type: string
        - name: columnId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                values:
                  type: array
                  items:
                    type: object
                    properties:
                      contactId:
                        type: string
                      value:
                        anyOf:
                          - type: string
                            maxLength: 5000
                          - type: number
                          - type: boolean
                          - type: object
                            properties:
                              label:
                                type: string
                                minLength: 1
                                maxLength: 5000
                              value:
                                type: string
                                minLength: 1
                                maxLength: 5000
                            required:
                              - label
                              - value
                    required:
                      - contactId
                      - value
                  minItems: 1
                  maxItems: 500
              required:
                - values
      responses:
        '200':
          description: Success
          headers:
            RateLimit-Limit:
              schema:
                type: integer
              description: Requests permitted in the current window.
            RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            RateLimit-Reset:
              schema:
                type: integer
              description: Seconds until the current window resets.
          content:
            application/json:
              schema:
                type: object
              example:
                updatedCount: 2
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - basicAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            doc_url:
              type:
                - string
                - 'null'
            request_id:
              type:
                - string
                - 'null'
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Your API token (`af_…`) as the Basic-auth username, with an empty
        password.

````